<?php
if (function_exists('register_sidebars')) {
	register_sidebars(4);
}
else {}
add_theme_support('automatic-feed-links');
if ( ! isset( $content_width ) ) $content_width = 700;
?>
<?php
function whispy_blue_comments($comment, $args, $depth) {
	$GLOBALS['comment'] = $comment; ?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
	<div id="comment-<?php comment_ID(); ?>">
		<?php echo get_avatar($comment,$size='58' ); ?>
		<div class="commentmetadata">

			Author: <?php printf(__('%s'), get_comment_author_link()) ?><br/>
			Date: <?php printf(__('%1$s'), get_comment_date()) ?><br/>
			Time: <?php printf(__('%1$s'), get_comment_time()) ?><br/>
			<?php edit_comment_link(__('(Edit)'),'  ','') ?>
			<?php if ($comment->comment_approved == '0') : ?>
			<?php _e('Your comment is awaiting moderation.') ?><br/>
			<?php endif; ?>
		</div>
		<?php comment_text() ?>

		<div class="reply">
			<?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
		</div>
	</div>
<?php
        }
?>
<?php
function whispy_blue_tb($comment, $args, $depth) {
	$GLOBALS['comment'] = $comment; ?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
	<div id="comment-<?php comment_ID(); ?>">
		Link: <?php printf(__('%s'), get_comment_author_link()) ?><br/>
		Date: <?php printf(__('%1$s'), get_comment_date()) ?><br/>
		Time: <?php printf(__('%1$s'), get_comment_time()) ?><br/>
	</div>
<?php
        }
?>
<?php
/**
 * count for Trackback, pingback, comment, pings
 *
 * use it:
 * fb_comment_type_count('ping');
 * fb_comment_type_count('comment');
 */
if ( !function_exists('fb_comment_type_count') ) {
	function fb_get_comment_type_count( $type='all', $zero = false, $one = false, $more = false, $post_id = 0) {
		global $cjd_comment_count_cache, $id, $post;
 
		if ( !$post_id )
			$post_id = $post->ID;
		if ( !$post_id )
			return;
 
		if ( !isset($cjd_comment_count_cache[$post_id]) ) {
			$p = get_post($post_id);
			$p = array($p);
			fb_update_comment_type_cache($p);
		}
		;
		if ( $type == 'pingback' || $type == 'trackback' || $type == 'comment' )
			$count = $cjd_comment_count_cache[$post_id][$type];
		elseif ( $type == 'pings' )
			$count = $cjd_comment_count_cache[$post_id]['pingback'] + $cjd_comment_count_cache[$post_id]['trackback'];
		else
			$count = array_sum((array) $cjd_comment_count_cache[$post_id]);
 
		return apply_filters('fb_get_comment_type_count', $count);
	}
 
	// comment, trackback, pingback, pings, all
	function fb_comment_type_count( $type='all', $zero = false, $one = false, $more = false, $post_id = 0 ) {
 
		$number = fb_get_comment_type_count( $type, $zero, $one, $more, $post_id );
		
		if ( comments_open() )
		{
			if ( $number > 1 )
				$output = str_replace('%', number_format_i18n($number), ( false === $more ) ? __('% Comments') : $more);
			elseif ( $number == 0 )
				$output = ( false === $zero ) ? __('Leave a comment') : $zero;
			else // must be one
				$output = ( false === $one ) ? __('1 Comment') : $one;
		}
		else
		{
			$output = ( false === $zero ) ? __('Comments Disabled') : $zero;
		}
		echo apply_filters('fb_comment_type_count', $output, $number);
	}
}

if ( !function_exists('fb_update_comment_type_cache') ) {
	function fb_update_comment_type_cache($queried_posts) {
		global $cjd_comment_count_cache, $wpdb;
 
		if ( !$queried_posts )
			return $queried_posts;
 
		foreach ( (array) $queried_posts as $post )
			if ( !isset($cjd_comment_count_cache[$post->ID]) )
				$post_id_list[] = $post->ID;
 
		if ( $post_id_list ) {
			$post_id_list = implode(',', $post_id_list);
 
			foreach ( array('', 'pingback', 'trackback') as $type ) {
				$counts = $wpdb->get_results("SELECT ID, COUNT( comment_ID ) AS ccount
							FROM $wpdb->posts
							LEFT JOIN $wpdb->comments ON ( comment_post_ID = ID AND comment_approved = '1' AND comment_type='$type' )
							WHERE post_status = 'publish' AND ID IN ($post_id_list)
							GROUP BY ID");
 
				if ( $counts ) {
					if ( '' == $type )
						$type = 'comment';
					foreach ( $counts as $count )
						$cjd_comment_count_cache[$count->ID][$type] = $count->ccount;
				}
			}
		}
 
		return $queried_posts;
	}
 
	add_filter('the_posts', 'fb_update_comment_type_cache');
}
?>